새로운 문서를 작성 중입니다.새 문서로 이동
ClawOps Docs
API Reference

배치 수신자·결과 조회

GET
/v1/accounts/{accountId}/call-batches/{batchId}/tasks

수신자별 발신 결과를 조회합니다. 콜 플로우가 통화 중 수집한 값은 result에 담깁니다 (설문·예약 확인 등의 산출물).

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string
batchId*string

Query Parameters

status?string

상태로 필터링

Value in"pending" | "dialing" | "done" | "failed" | "canceled" | "suppressed" | "expired"
page?integer
Default1
pageSize?integer
Default50
Rangevalue <= 500
page_size?integerDeprecated

pageSize 의 별칭(하위호환). 신규 연동은 pageSize 를 사용하세요.

Rangevalue <= 500
limit?integerDeprecated

pageSize 의 별칭(하위호환). 신규 연동은 pageSize 를 사용하세요.

Rangevalue <= 500

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/accounts/AC1a2b3c4d/call-batches/clx1a2b3c4d5e/tasks?status=done&page=1&pageSize=50&page_size=100&limit=200"
{
  "tasks": [
    {
      "taskId": "string",
      "to": "01012345678",
      "status": "pending",
      "attempt": 0,
      "dialRound": 2,
      "nextAttemptAt": "2019-08-24T14:15:22Z",
      "expectedDialAt": "2019-08-24T14:15:22Z",
      "callId": "string",
      "disposition": "string",
      "answeredBy": "string",
      "result": {},
      "lastError": "string",
      "messageKind": "first",
      "messageStatus": "pending",
      "messageDeliveryStatus": "queued",
      "messageError": "string"
    }
  ]
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}